<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddDialPlanReq StructType
 * @subpackage Structs
 */
class AddDialPlanReq extends APIRequest
{
    /**
     * The dialPlan
     * @var XDialPlan
     */
    public $dialPlan;
    /**
     * Constructor method for AddDialPlanReq
     * @uses AddDialPlanReq::setDialPlan()
     * @param XDialPlan $dialPlan
     */
    public function __construct(XDialPlan $dialPlan = null)
    {
        $this
            ->setDialPlan($dialPlan);
    }
    /**
     * Get dialPlan value
     * @return XDialPlan|null
     */
    public function getDialPlan()
    {
        return $this->dialPlan;
    }
    /**
     * Set dialPlan value
     * @param XDialPlan $dialPlan
     * @return AddDialPlanReq
     */
    public function setDialPlan(XDialPlan $dialPlan = null)
    {
        $this->dialPlan = $dialPlan;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddDialPlanReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
